ColorTwist
Color Processing

Routines for converting between various image color models using user supplied matrix coefficients. More...

## ColorTwist

Perform color twist pixel processing.

Color twist consists of applying the following formula to each image pixel using coefficients from the user supplied color twist host matrix array as follows where dst[x] and src[x] represent destination pixel and source pixel channel or plane x. The full sized coefficient matrix should be sent for all pixel channel sizes, the function will process the appropriate coefficients and channels for the corresponding pixel size.

* dst[0] = aTwist[0][0] * src[0] + aTwist[0][1] * src[1] + aTwist[0][2] * src[2] + aTwist[0][3]
* dst[1] = aTwist[1][0] * src[0] + aTwist[1][1] * src[1] + aTwist[1][2] * src[2] + aTwist[1][3]
* dst[2] = aTwist[2][0] * src[0] + aTwist[2][1] * src[1] + aTwist[2][2] * src[2] + aTwist[2][3]
*

NppStatus | nppiColorTwist32f_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned color twist. More...
NppStatus | nppiColorTwist32f_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_C1IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned in place color twist. More...
NppStatus | nppiColorTwist32f_8u_C1IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_C2R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 8-bit unsigned color twist. More...
NppStatus | nppiColorTwist32f_8u_C2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_C2IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 8-bit unsigned in place color twist. More...
NppStatus | nppiColorTwist32f_8u_C2IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned color twist. More...
NppStatus | nppiColorTwist32f_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_C3IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned in place color twist. More...
NppStatus | nppiColorTwist32f_8u_C3IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned color twist, with alpha copy. More...
NppStatus | nppiColorTwist32f_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_C4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_8u_C4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_AC4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_8u_AC4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32fC_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned color twist with 4x4 matrix and constant vector addition. More...
NppStatus | nppiColorTwist32fC_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4])
NppStatus | nppiColorTwist32fC_8u_C4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned in place color twist with 4x4 matrix and an additional constant vector addition. More...
NppStatus | nppiColorTwist32fC_8u_C4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4])
NppStatus | nppiColorTwist32f_8u_P3R_Ctx (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar color twist. More...
NppStatus | nppiColorTwist32f_8u_P3R (const Npp8u *const pSrc[3], int nSrcStep, Npp8u *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8u_IP3R_Ctx (Npp8u *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar in place color twist. More...
NppStatus | nppiColorTwist32f_8u_IP3R (Npp8u *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 8-bit signed color twist. More...
NppStatus | nppiColorTwist32f_8s_C1R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C1IR_Ctx (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 8-bit signed in place color twist. More...
NppStatus | nppiColorTwist32f_8s_C1IR (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C2R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 8-bit signed color twist. More...
NppStatus | nppiColorTwist32f_8s_C2R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C2IR_Ctx (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 8-bit signed in place color twist. More...
NppStatus | nppiColorTwist32f_8s_C2IR (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit signed color twist. More...
NppStatus | nppiColorTwist32f_8s_C3R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C3IR_Ctx (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit signed in place color twist. More...
NppStatus | nppiColorTwist32f_8s_C3IR (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit signed color twist, with alpha copy. More...
NppStatus | nppiColorTwist32f_8s_C4R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_C4IR_Ctx (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit signed in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_8s_C4IR (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit signed color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_8s_AC4R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_AC4IR_Ctx (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 8-bit signed in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_8s_AC4IR (Npp8s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_P3R_Ctx (const Npp8s *const pSrc[3], int nSrcStep, Npp8s *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit signed planar color twist. More...
NppStatus | nppiColorTwist32f_8s_P3R (const Npp8s *const pSrc[3], int nSrcStep, Npp8s *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_8s_IP3R_Ctx (Npp8s *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 8-bit signed planar in place color twist. More...
NppStatus | nppiColorTwist32f_8s_IP3R (Npp8s *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned color twist. More...
NppStatus | nppiColorTwist32f_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_C1IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned in place color twist. More...
NppStatus | nppiColorTwist32f_16u_C1IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_C2R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 16-bit unsigned color twist. More...
NppStatus | nppiColorTwist32f_16u_C2R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_C2IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 16-bit unsigned in place color twist. More...
NppStatus | nppiColorTwist32f_16u_C2IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned color twist. More...
NppStatus | nppiColorTwist32f_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_C3IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned in place color twist. More...
NppStatus | nppiColorTwist32f_16u_C3IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_AC4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_16u_AC4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_P3R_Ctx (const Npp16u *const pSrc[3], int nSrcStep, Npp16u *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned planar color twist. More...
NppStatus | nppiColorTwist32f_16u_P3R (const Npp16u *const pSrc[3], int nSrcStep, Npp16u *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16u_IP3R_Ctx (Npp16u *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned planar in place color twist. More...
NppStatus | nppiColorTwist32f_16u_IP3R (Npp16u *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed color twist. More...
NppStatus | nppiColorTwist32f_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_C1IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed in place color twist. More...
NppStatus | nppiColorTwist32f_16s_C1IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_C2R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 16-bit signed color twist. More...
NppStatus | nppiColorTwist32f_16s_C2R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_C2IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 16-bit signed in place color twist. More...
NppStatus | nppiColorTwist32f_16s_C2IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed color twist. More...
NppStatus | nppiColorTwist32f_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_C3IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed in place color twist. More...
NppStatus | nppiColorTwist32f_16s_C3IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_AC4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_16s_AC4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_P3R_Ctx (const Npp16s *const pSrc[3], int nSrcStep, Npp16s *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed planar color twist. More...
NppStatus | nppiColorTwist32f_16s_P3R (const Npp16s *const pSrc[3], int nSrcStep, Npp16s *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16s_IP3R_Ctx (Npp16s *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed planar in place color twist. More...
NppStatus | nppiColorTwist32f_16s_IP3R (Npp16s *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C1R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 16-bit floating point color twist. More...
NppStatus | nppiColorTwist32f_16f_C1R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C1IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 16-bit floating point in place color twist. More...
NppStatus | nppiColorTwist32f_16f_C1IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C2R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 16-bit floating point color twist. More...
NppStatus | nppiColorTwist32f_16f_C2R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C2IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 16-bit floating point in place color twist. More...
NppStatus | nppiColorTwist32f_16f_C2IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C3R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit floating point color twist. More...
NppStatus | nppiColorTwist32f_16f_C3R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C3IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 16-bit floating point in place color twist. More...
NppStatus | nppiColorTwist32f_16f_C3IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit floating point color twist, with alpha copy. More...
NppStatus | nppiColorTwist32f_16f_C4R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32f_16f_C4IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit floating point in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist32f_16f_C4IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist32fC_16f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit floating point color twist with 4x4 matrix and constant vector addition. More...
NppStatus | nppiColorTwist32fC_16f_C4R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4])
NppStatus | nppiColorTwist32fC_16f_C4IR_Ctx (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4], NppStreamContext nppStreamCtx)
| 4 channel 16-bit floating point in place color twist with 4x4 matrix and an additional constant vector addition. More...
NppStatus | nppiColorTwist32fC_16f_C4IR (Npp16f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4])
NppStatus | nppiColorTwist_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point color twist. More...
NppStatus | nppiColorTwist_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_C1IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point in place color twist. More...
NppStatus | nppiColorTwist_32f_C1IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_C2R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 32-bit floating point color twist. More...
NppStatus | nppiColorTwist_32f_C2R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_C2IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 2 channel 32-bit floating point in place color twist. More...
NppStatus | nppiColorTwist_32f_C2IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point color twist. More...
NppStatus | nppiColorTwist_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_C3IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point in place color twist. More...
NppStatus | nppiColorTwist_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point color twist, with alpha copy. More...
NppStatus | nppiColorTwist_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_C4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist_32f_C4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_AC4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point in place color twist, not affecting Alpha. More...
NppStatus | nppiColorTwist_32f_AC4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32fC_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point color twist with 4x4 matrix and constant vector addition. More...
NppStatus | nppiColorTwist_32fC_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4])
NppStatus | nppiColorTwist_32fC_C4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4], NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point in place color twist with 4x4 matrix and an additional constant vector addition. More...
NppStatus | nppiColorTwist_32fC_C4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[4][4], const Npp32f aConstants[4])
NppStatus | nppiColorTwist_32f_P3R_Ctx (const Npp32f *const pSrc[3], int nSrcStep, Npp32f *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point planar color twist. More...
NppStatus | nppiColorTwist_32f_P3R (const Npp32f *const pSrc[3], int nSrcStep, Npp32f *const pDst[3], int nDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])
NppStatus | nppiColorTwist_32f_IP3R_Ctx (Npp32f *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4], NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point planar in place color twist. More...
NppStatus | nppiColorTwist_32f_IP3R (Npp32f *const pSrcDst[3], int nSrcDstStep, NppiSize oSizeROI, const Npp32f aTwist[3][4])

## Detailed Description

Routines for converting between various image color models using user supplied matrix coefficients.

## Function Documentation

NppStatus nppiColorTwist32f_16f_C1IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C1IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit floating point in place color twist.

An input color twist matrix with 32-bit floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16f_C1R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C1R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit floating point color twist.

An input color twist matrix with 32-bit floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16f_C2IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C2IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit floating point in place color twist.

An input color twist matrix with 32-bit floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16f_C2R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C2R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit floating point color twist.

An input color twist matrix with 32-bit floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16f_C3IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C3IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit floating point in place color twist.

An input color twist matrix with 32-bit floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16f_C3R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C3R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit floating point color twist.

An input color twist matrix with 32-bit floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16f_C4IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C4IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit floating point in place color twist, not affecting Alpha.

An input color twist matrix with 32-bit floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not modified.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit floating point color twist, with alpha copy.

An input color twist matrix with 32-bit floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is copied unmodified from the source pixel to the destination pixel.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_AC4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_AC4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_C1IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_C1IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_C2IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_C2IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit signed in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_C2R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_C2R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit signed color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_C3IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_C3IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_IP3R | ( | Npp16s *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_IP3R_Ctx | ( | Npp16s *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed planar in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place planar pixel format image pointer array, one pointer per plane.
  nSrcDstStep | in place planar pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16s_P3R | ( | const Npp16s *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp16s *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16s_P3R_Ctx | ( | const Npp16s *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp16s *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed planar color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_AC4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_AC4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_C1IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_C1IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_C2IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_C2IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit unsigned in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_C2R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_C2R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 16-bit unsigned color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_C3IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_C3IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_IP3R | ( | Npp16u *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_IP3R_Ctx | ( | Npp16u *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned planar in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place planar pixel format image pointer array, one pointer per plane.
  nSrcDstStep | in place planar pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_16u_P3R | ( | const Npp16u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp16u *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_16u_P3R_Ctx | ( | const Npp16u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp16u *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned planar color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_AC4IR | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_AC4IR_Ctx | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit signed in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit signed color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C1IR | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C1IR_Ctx | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit signed in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit signed color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C2IR | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C2IR_Ctx | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit signed in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C2R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C2R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit signed color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C3IR | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C3IR_Ctx | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit signed in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit signed color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C4IR | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C4IR_Ctx | ( | Npp8s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit signed in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is unmodified.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit signed color twist, with alpha copy.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is copied unmodified from the source pixel to the destination pixel.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_IP3R | ( | Npp8s *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_IP3R_Ctx | ( | Npp8s *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit signed planar in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place planar pixel format image pointer array, one pointer per plane.
  nSrcDstStep | in place planar pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8s_P3R | ( | const Npp8s *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8s *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8s_P3R_Ctx | ( | const Npp8s *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8s *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit signed planar color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_AC4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_AC4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C1IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C1IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C2IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C2IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit unsigned in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C2R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 8-bit unsigned color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C3IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C3IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is unmodified.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned color twist, with alpha copy.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is copied unmodified from the source pixel to the destination pixel.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_IP3R | ( | Npp8u *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_IP3R_Ctx | ( | Npp8u *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place planar pixel format image pointer array, one pointer per plane.
  nSrcDstStep | in place planar pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32f_8u_P3R | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist32f_8u_P3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp8u *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32fC_16f_C4IR | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4]
| ) |  |

NppStatus nppiColorTwist32fC_16f_C4IR_Ctx | ( | Npp16f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit floating point in place color twist with 4x4 matrix and an additional constant vector addition.

An input 4x4 color twist matrix with 32-bit floating-point coefficient values with an additional 32-bit floating point constant vector addition is applied within ROI. For this particular version of the function the result is generated as shown below.

* dst[0] = aTwist[0][0] * src[0] + aTwist[0][1] * src[1] + aTwist[0][2] * src[2] + aTwist[0][3] * src[3] + aConstants[0]
* dst[1] = aTwist[1][0] * src[0] + aTwist[1][1] * src[1] + aTwist[1][2] * src[2] + aTwist[1][3] * src[3] + aConstants[1]
* dst[2] = aTwist[2][0] * src[0] + aTwist[2][1] * src[1] + aTwist[2][2] * src[2] + aTwist[2][3] * src[3] + aConstants[2]
* dst[3] = aTwist[3][0] * src[0] + aTwist[3][1] * src[1] + aTwist[3][2] * src[2] + aTwist[3][3] * src[3] + aConstants[3]
*

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  aConstants | fixed size array of constant values, one per channel..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32fC_16f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4]
| ) |  |

NppStatus nppiColorTwist32fC_16f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit floating point color twist with 4x4 matrix and constant vector addition.

An input 4x4 color twist matrix with 32-bit floating-point coefficient values with an additional 32-bit floating point constant vector addition is applied within ROI. For this particular version of the function the result is generated as shown below.

* dst[0] = aTwist[0][0] * src[0] + aTwist[0][1] * src[1] + aTwist[0][2] * src[2] + aTwist[0][3] * src[3] + aConstants[0]
* dst[1] = aTwist[1][0] * src[0] + aTwist[1][1] * src[1] + aTwist[1][2] * src[2] + aTwist[1][3] * src[3] + aConstants[1]
* dst[2] = aTwist[2][0] * src[0] + aTwist[2][1] * src[1] + aTwist[2][2] * src[2] + aTwist[2][3] * src[3] + aConstants[2]
* dst[3] = aTwist[3][0] * src[0] + aTwist[3][1] * src[1] + aTwist[3][2] * src[2] + aTwist[3][3] * src[3] + aConstants[3]
*

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  aConstants | fixed size array of constant values, one per channel..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32fC_8u_C4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4]
| ) |  |

NppStatus nppiColorTwist32fC_8u_C4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned in place color twist with 4x4 matrix and an additional constant vector addition.

An input 4x4 color twist matrix with floating-point coefficient values with an additional constant vector addition is applied within ROI. For this particular version of the function the result is generated as shown below.

* dst[0] = aTwist[0][0] * src[0] + aTwist[0][1] * src[1] + aTwist[0][2] * src[2] + aTwist[0][3] * src[3] + aConstants[0]
* dst[1] = aTwist[1][0] * src[0] + aTwist[1][1] * src[1] + aTwist[1][2] * src[2] + aTwist[1][3] * src[3] + aConstants[1]
* dst[2] = aTwist[2][0] * src[0] + aTwist[2][1] * src[1] + aTwist[2][2] * src[2] + aTwist[2][3] * src[3] + aConstants[2]
* dst[3] = aTwist[3][0] * src[0] + aTwist[3][1] * src[1] + aTwist[3][2] * src[2] + aTwist[3][3] * src[3] + aConstants[3]
*

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  aConstants | fixed size array of constant values, one per channel..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist32fC_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4]
| ) |  |

NppStatus nppiColorTwist32fC_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned color twist with 4x4 matrix and constant vector addition.

An input 4x4 color twist matrix with floating-point coefficient values with an additional constant vector addition is applied within ROI. For this particular version of the function the result is generated as shown below.

* dst[0] = aTwist[0][0] * src[0] + aTwist[0][1] * src[1] + aTwist[0][2] * src[2] + aTwist[0][3] * src[3] + aConstants[0]
* dst[1] = aTwist[1][0] * src[0] + aTwist[1][1] * src[1] + aTwist[1][2] * src[2] + aTwist[1][3] * src[3] + aConstants[1]
* dst[2] = aTwist[2][0] * src[0] + aTwist[2][1] * src[1] + aTwist[2][2] * src[2] + aTwist[2][3] * src[3] + aConstants[2]
* dst[3] = aTwist[3][0] * src[0] + aTwist[3][1] * src[1] + aTwist[3][2] * src[2] + aTwist[3][3] * src[3] + aConstants[3]
*

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  aConstants | fixed size array of constant values, one per channel..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_AC4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_AC4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not processed.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C1IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C1IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C2IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C2IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 32-bit floating point in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C2R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C2R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

2 channel 32-bit floating point color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C3IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point in place color twist, not affecting Alpha.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is not modified.

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point color twist, with alpha copy.

An input color twist matrix with floating-point coefficient values is applied with in ROI. Alpha channel is the last channel and is copied unmodified from the source pixel to the destination pixel.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_IP3R | ( | Npp32f *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_IP3R_Ctx | ( | Npp32f *const | pSrcDst[3],
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point planar in place color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrcDst | in place planar pixel format image pointer array, one pointer per plane.
  nSrcDstStep | in place planar pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32f_P3R | ( | const Npp32f *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp32f *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4]
| ) |  |

NppStatus nppiColorTwist_32f_P3R_Ctx | ( | const Npp32f *const | pSrc[3],
|  | int | nSrcStep,
|  | Npp32f *const | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[3][4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point planar color twist.

An input color twist matrix with floating-point coefficient values is applied within ROI.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32fC_C4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4]
| ) |  |

NppStatus nppiColorTwist_32fC_C4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point in place color twist with 4x4 matrix and an additional constant vector addition.

An input 4x4 color twist matrix with floating-point coefficient values with an additional constant vector addition is applied within ROI. For this particular version of the function the result is generated as shown below.

* dst[0] = aTwist[0][0] * src[0] + aTwist[0][1] * src[1] + aTwist[0][2] * src[2] + aTwist[0][3] * src[3] + aConstants[0]
* dst[1] = aTwist[1][0] * src[0] + aTwist[1][1] * src[1] + aTwist[1][2] * src[2] + aTwist[1][3] * src[3] + aConstants[1]
* dst[2] = aTwist[2][0] * src[0] + aTwist[2][1] * src[1] + aTwist[2][2] * src[2] + aTwist[2][3] * src[3] + aConstants[2]
* dst[3] = aTwist[3][0] * src[0] + aTwist[3][1] * src[1] + aTwist[3][2] * src[2] + aTwist[3][3] * src[3] + aConstants[3]
*

Parameters

  pSrcDst | in place packed pixel format image pointer.
  nSrcDstStep | in place packed pixel format image line step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  aConstants | fixed size array of constant values, one per channel..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiColorTwist_32fC_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4]
| ) |  |

NppStatus nppiColorTwist_32fC_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | aTwist[4][4],
|  | const Npp32f | aConstants[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point color twist with 4x4 matrix and constant vector addition.

An input 4x4 color twist matrix with floating-point coefficient values with an additional constant vector addition is applied within ROI. For this particular version of the function the result is generated as shown below.

* dst[0] = aTwist[0][0] * src[0] + aTwist[0][1] * src[1] + aTwist[0][2] * src[2] + aTwist[0][3] * src[3] + aConstants[0]
* dst[1] = aTwist[1][0] * src[0] + aTwist[1][1] * src[1] + aTwist[1][2] * src[2] + aTwist[1][3] * src[3] + aConstants[1]
* dst[2] = aTwist[2][0] * src[0] + aTwist[2][1] * src[1] + aTwist[2][2] * src[2] + aTwist[2][3] * src[3] + aConstants[2]
* dst[3] = aTwist[3][0] * src[0] + aTwist[3][1] * src[1] + aTwist[3][2] * src[2] + aTwist[3][3] * src[3] + aConstants[3]
*

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  aTwist | The color twist matrix with floating-point coefficient values.
  aConstants | fixed size array of constant values, one per channel..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation